Name: sugar-calculate-activity
Version: 47
Release: %mkrel 1
Summary: Calculate activity for Sugar
License: GPLv2+
Group: Graphical desktop/Other
Url: https://sugarlabs.org/

Source: https://download.sugarlabs.org/sources/sucrose/fructose/Calculate/Calculate-%{version}.tar.bz2
BuildArch: noarch
BuildRequires: gettext
BuildRequires: python3-devel
BuildRequires: sugar-toolkit-gtk3
Requires: sugar-toolkit-gtk3
Requires: python3-gobject3

%description
The calculate activity provides a generic calculator.
The interface provides the simplest functions directly and should therefore
be easy to use for the youngest children. However, it does support more
complicated math and variables.

%prep
%setup -q -n Calculate-%{version}

%build
%{__python3} setup.py build

%install
%{__python3} setup.py install --prefix=%{buildroot}%{_prefix}

# fix .desktop file
sed -i -e 's!%{buildroot}!!g' %{buildroot}%{_datadir}/applications/*.desktop

# drop unneeded files
rm -rf %{buildroot}%{_datadir}/sugar/activities/*/setup.py
find %{buildroot} -name '*.py.orig' -delete

%find_lang org.laptop.Calculate

%files -f org.laptop.Calculate.lang
%doc NEWS AUTHORS
%license COPYING
%{_datadir}/sugar/activities/*
%{_datadir}/applications/org.laptop.Calculate.activity.desktop


%changelog
* Mon Jan 16 2023 daviddavid <daviddavid> 47-1.mga9
+ Revision: 1933855
- new version: 47

* Thu Mar 31 2022 umeabot <umeabot> 46-3.mga9
+ Revision: 1836844
- Mageia 9 Mass Rebuild

* Fri Nov 13 2020 wally <wally> 46-2.mga8
+ Revision: 1645030
- drop buildroot definition from .desktop files
- drop unneeded files
+ danf <danf>
- Switch URLs from http: to https:
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Oct 28 2019 wally <wally> 46-1.mga8
+ Revision: 1456362
- new version 46
- switch to python3

* Wed Mar 13 2019 wally <wally> 45-2.mga7
+ Revision: 1375564
- add missing requires for sugar-toolkit-gtk3

* Wed Mar 13 2019 wally <wally> 45-1.mga7
+ Revision: 1375551
- new version 45

* Wed Sep 19 2018 umeabot <umeabot> 43-2.mga7
+ Revision: 1276346
- Mageia 7 Mass Rebuild

* Mon Jan 18 2016 zezinho <zezinho> 43-1.mga6
+ Revision: 925378
- new version

* Wed Oct 15 2014 umeabot <umeabot> 42-3.mga5
+ Revision: 748960
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 42-2.mga5
+ Revision: 689585
- Mageia 5 Mass Rebuild

* Wed May 28 2014 zezinho <zezinho> 42-1.mga5
+ Revision: 627339
- new version

* Fri Oct 18 2013 umeabot <umeabot> 41-3.mga4
+ Revision: 519382
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 41-2.mga3
+ Revision: 383608
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 03 2012 zezinho <zezinho> 41-1.mga3
+ Revision: 326099
- new version

* Wed Nov 21 2012 zezinho <zezinho> 40-1.mga3
+ Revision: 320105
- newversion

* Sat Nov 19 2011 zezinho <zezinho> 38-1.mga2
+ Revision: 169455
- new version
+ ennael <ennael>
- remove buildroot definition
- imported package sugar-calculate-activity


* Tue Aug 11 2009 Aleksey Lim <alsroot@mandriva.org> 30-1mdv2010.0
+ Revision: 414898
- Sucrose 0.85.2

* Tue Jan 20 2009 Aleksey Lim <alsroot@mandriva.org> 28-1mdv2009.1
+ Revision: 331983
- new Sucrose 0.83.4 release

* Sun Jan 11 2009 Aleksey Lim <alsroot@mandriva.org> 26-1mdv2009.1
+ Revision: 328375
- Sugar 0.83.3 release

  + Bogdano Arendartchuk <bogdano@mandriva.com>
    - import sugar-calculator


* Tue Sep  2 2008 Jeremy Katz <katzj@redhat.com> - 23-1
- update to Calculate-23
- use %%find_lang 

* Thu Jul 31 2008 Jeremy Katz <katzj@redhat.com> - 19-1
- Initial packaging
